Calculate Forum

Принтер Canon i-SENSYS LBP6030B

Чтобы запустить принтер Canon i-SENSYS LBP6030B в Calculate Linux (Gentoo) нужен драйвер Canon UFR II LT версии 1.20 или 1.30, который скачиваем с сайта Canon:

http://www.canon.ru/support/consumer_products/products/printers/laser/i-sensys_lbp6030b.aspx?type=drivers&language=&os=Linux%20(64-bit)

Удаляем лишние пакеты от Canon’а

emerge -C net-print/cnijfilter net-print/cndrvcups-common-lb net-print/cndrvcups-lb

Устанавливаем утилиту deb2targz

emerge -av app-arch/deb2targz

Распаковываем архив с драйвером

tar xvf Linux_UFRIILT_PrinterDriver_V130_uk-EN.tar.gz

Переходим в каталог с нужным deb-пакетом

cd Linux_UFRIILT_PrinterDriver_V130_uk-EN/64-bit_Driver/Debian/

Конвертируем deb в tar.gz

deb2targz cndrvcups-ufr2lt-uk_1.30-1_amd64.deb
deb2targz cndrvcups-common_3.50-1_amd64.deb

Распаковываем сконвертированные архивы

tar xvf cndrvcups-ufr2lt-uk_1.30-1_amd64.tar.gz
tar xvf cndrvcups-common_3.50-1_amd64.tar.gz

Копируем разархивированные файлы

cp -r etc/* /etc/
cp -r var/* /var/
cp -r usr/* /usr/
cp -r usr/lib/* /usr/lib

Перезапускаем CUPS

/etc/init.d/cupsd restart

а для чего пакет конвертировать ? обычный mc отлично заглядывает внутрь пакетов . Разве нет ?

Добрый день!

Сегодня настраивал LBP6030B.
Если кому нужно, то скачиваете под linux на сайте Canon-а драйвер для 64бит. Инсталлер не работает, т.к. заточен на systemd и хочет пакетов которых нет в кальке.
Потом найдите RPM пакет его распакуйте и скопируйте все папки.
cnrdrvcups-ufr2lt-uk-5.00-1.x86_64.rpm (3.5 МБ)

DEB пакет не ставьте, т.к. у него нет нужных папок для библиотек, принтер видится, настраивается, но не печатает - в логах ошибка, гугел говорит по ней что не хватает библиотек.

Ещё заметил когда DEB ставил, принтер ругался что не видит файлы в папке libexec. Пришлось копировать руками в папку из папки lib64.

В общем пройдите квест и узнаете чего не хватает, я если буду ставить ещё драйвер то уточню чего может не хватать.

© 2007-2020 Calculate Ltd.
Mastodon Mastodon